Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038832
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2018-06-25 20:142018-08-08 13:06
ReportergsuarezView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision7c6329f153dd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR18Q1.3SCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-10-23
Regression introduced in release3.0PR18Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/f309cc3e47a9f30cc689198b1bedeffef9f181e2 [^]
Triggers an Emergency PackYes
Summary

0038832: Error: Copy from Order it does not work properly

DescriptionThe "Copy from Order" process in the "Sales Order" window does not work properly:
* The line numbers do not match the numbers of the copied order.
* The quantities of some products are not the same as those of the copied order.
* The descriptions of all the lines are not the same as the original order lines
Steps To ReproduceSteps:

1.Windows: Sales Order
                      1.1 Create new sales order
                      1.2 select "Copy from Order"
                      1.3 select sales order with many lines (40 or more lines of many sales orders) and
                          with consecutive numbers of lines like 21 22 23 .... 60.
2.the process it does not work correctly, the quantities are not the same and the sequence numbers either.

Error detected in the class: copyFromOrdersProcess.


In PR17Q4 works but en 18Q1 or major not work properly.
TagsNo tags attached.
Attached Filespng file icon 18q1.2.png [^] (183,412 bytes) 2018-06-25 20:14


png file icon PR17.png [^] (144,662 bytes) 2018-06-25 20:17


png file icon ejemplo de origen.png [^] (199,797 bytes) 2018-06-26 19:18


png file icon ejemplo destino.png [^] (173,889 bytes) 2018-06-26 19:18

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00388813.0PR18Q3 closedAtulOpenbravo Error: Copy from Order it does not work properly 
depends on backport 00388823.0PR18Q2.2 closedAtulOpenbravo Error: Copy from Order it does not work properly 
depends on backport 00388833.0PR18Q1.4 closedAtulOpenbravo Error: Copy from Order it does not work properly 

-  Notes
(0105454)
Sandrahuguet (developer)
2018-06-26 17:35
edited on: 2018-06-26 17:35

We are not able to reproduce the issue, please provide us better steps to reproduce.

(0105455)
gsuarez (developer)
2018-06-26 19:14

I send personal mail to the developer with videos, because they exceed the capacity allowed by the portal.
(0105483)
Sandrahuguet (developer)
2018-06-28 09:58
edited on: 2018-06-28 15:18

We only reproduce that the description in order lines are not copied to the lines in the new order.

Line number should not be copied. The expected behaviour is: in the new order the line numbers are 10, 20, 30, 40...

Discount lines should not be copied, if a discount is configured to the business partner for example, the discount is applied when the new order is booked.

(0105486)
AtulOpenbravo (developer)
2018-06-28 12:08
edited on: 2018-06-28 12:09

Test Plan

- Login as F&B International Group Admin
- Create a Sales Order for any business partner.
- Create few lines and set description.
- Book the order.
- Create a another Sales Order and using Copy From Orders, select the order previously booked.
- Realize that lines are created from the selected Order with proper description and line no.

(0105596)
hgbot (developer)
2018-07-04 17:43

Repository: erp/devel/pi
Changeset: 7c6329f153dd34f4ec3d43e281c3ecc849cf6184
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jun 28 15:29:50 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7c6329f153dd34f4ec3d43e281c3ecc849cf6184 [^]

Fixes Issue 38832:Copy from Order it does not copy line description

Order Line description was wrongly set from Order description,
it will be set from Order Line from which the new Order Line
is created.

---
M src/org/openbravo/common/actionhandler/copyfromorderprocess/UpdateOrderLineInformation.java
---
(0105597)
hgbot (developer)
2018-07-04 17:43

Repository: erp/devel/pi
Changeset: 9d031bc2d0c98df8404b996abfe3cb1d0f1ac8a3
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jul 02 22:37:49 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9d031bc2d0c98df8404b996abfe3cb1d0f1ac8a3 [^]

Related to Issue 38832:Copy from Order it does not copy line description

Modify the copy line from order related tests to check copied line
description with the original line description instead of checking
with header description

---
M src-test/src/org/openbravo/test/copyLinesFromOrders/CopyLinesFromOrdersTest.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestConstants.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataPO_13.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataPO_14.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataPO_15.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataPO_16.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataPO_17.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataPO_18.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataPO_19.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataPO_20.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_01.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_02.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_03.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_04.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_05.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_06.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_07.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_08.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_AUM_21.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_AUM_22.java
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CopyLinesFromOrdersTestData.java
---
(0105598)
hgbot (developer)
2018-07-04 17:45

Repository: erp/devel/pi
Changeset: 55d1ef5f608250d8db0418412878d2be799be120
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Jul 04 17:45:38 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/55d1ef5f608250d8db0418412878d2be799be120 [^]

related to issue 38832 update Copyright

---
M src-test/src/org/openbravo/test/copyLinesFromOrders/data/CLFOTestDataSO_05.java
---
(0105697)
Sandrahuguet (developer)
2018-07-11 09:00

Code review + testing OK
(0106198)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test
(0106199)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test
(0106200)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-25 20:14 gsuarez New Issue
2018-06-25 20:14 gsuarez Assigned To => Triage Finance
2018-06-25 20:14 gsuarez File Added: 18q1.2.png
2018-06-25 20:14 gsuarez Modules => Core
2018-06-25 20:14 gsuarez Regression introduced in release => 3.0PR18Q1
2018-06-25 20:14 gsuarez Regression introduced by commit => PR18Q1
2018-06-25 20:14 gsuarez Triggers an Emergency Pack => No
2018-06-25 20:15 gsuarez Triggers an Emergency Pack No => Yes
2018-06-25 20:17 gsuarez File Added: PR17.png
2018-06-25 23:52 Practics Issue Monitored: Practics
2018-06-26 17:31 Sandrahuguet Assigned To Triage Finance => gsuarez
2018-06-26 17:31 Sandrahuguet Status new => feedback
2018-06-26 17:35 Sandrahuguet Note Added: 0105454
2018-06-26 17:35 Sandrahuguet Note Edited: 0105454 View Revisions
2018-06-26 19:14 gsuarez Note Added: 0105455
2018-06-26 19:14 gsuarez Steps to Reproduce Updated View Revisions
2018-06-26 19:18 gsuarez File Added: ejemplo de origen.png
2018-06-26 19:18 gsuarez File Added: ejemplo destino.png
2018-06-28 09:53 Sandrahuguet Regression level => Production - Confirmed Stable
2018-06-28 09:53 Sandrahuguet Regression date => 2017-10-23
2018-06-28 09:53 Sandrahuguet Regression introduced by commit PR18Q1 => https://code.openbravo.com/erp/devel/pi/rev/f309cc3e47a9f30cc689198b1bedeffef9f181e2 [^]
2018-06-28 09:53 Sandrahuguet Assigned To gsuarez => AtulOpenbravo
2018-06-28 09:53 Sandrahuguet Severity major => minor
2018-06-28 09:53 Sandrahuguet Status feedback => new
2018-06-28 09:58 Sandrahuguet Note Added: 0105483
2018-06-28 10:01 Sandrahuguet Note Edited: 0105483 View Revisions
2018-06-28 12:08 AtulOpenbravo Status new => scheduled
2018-06-28 12:08 AtulOpenbravo Note Added: 0105486
2018-06-28 12:09 AtulOpenbravo Note Edited: 0105486 View Revisions
2018-06-28 15:17 Sandrahuguet Note Edited: 0105483 View Revisions
2018-06-28 15:18 Sandrahuguet Note Edited: 0105483 View Revisions
2018-07-03 10:31 Sandrahuguet Status scheduled => acknowledged
2018-07-03 10:32 Sandrahuguet Status acknowledged => scheduled
2018-07-04 17:43 hgbot Checkin
2018-07-04 17:43 hgbot Note Added: 0105596
2018-07-04 17:43 hgbot Status scheduled => resolved
2018-07-04 17:43 hgbot Resolution open => fixed
2018-07-04 17:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7c6329f153dd34f4ec3d43e281c3ecc849cf6184 [^]
2018-07-04 17:43 hgbot Checkin
2018-07-04 17:43 hgbot Note Added: 0105597
2018-07-04 17:45 hgbot Checkin
2018-07-04 17:45 hgbot Note Added: 0105598
2018-07-05 17:10 Sandrahuguet Review Assigned To => Sandrahuguet
2018-07-11 09:00 Sandrahuguet Note Added: 0105697
2018-07-11 09:00 Sandrahuguet Status resolved => closed
2018-07-11 09:00 Sandrahuguet Fixed in Version => 3.0PR18Q4
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106198
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106199
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106200


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker